# Uses of Interface
org.osgi.framework.hooks.weaving.WovenClass

Packages that use WovenClass
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.osgi.framework.hooks.weaving
Framework Weaving Hooks Package Version 1.1.

## Uses of WovenClass in org.apache.felix.framework

Methods in org.apache.felix.framework with parameters of type WovenClass
Modifier and Type
Method
Description
`protected void`
BundleWiringImpl.BundleClassLoader.`callWovenClassListeners(Felix felix, Set<ServiceReference<WovenClassListener>> wovenClassListeners, WovenClass wovenClass)`

## Uses of WovenClass in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type WovenClass
Modifier and Type
Method
Description
`void`
SecureAction.`invokeWeavingHook(WeavingHook wh, WovenClass wc)`
`void`
SecureAction.`invokeWovenClassListener(WovenClassListener wcl, WovenClass wc)`

## Uses of WovenClass in org.osgi.framework.hooks.weaving

Methods in org.osgi.framework.hooks.weaving with parameters of type WovenClass
Modifier and Type
Method
Description
`void`
WovenClassListener.`modified(WovenClass wovenClass)`
Receives notification that a `woven class` has completed a state transition.
`void`
WeavingHook.`weave(WovenClass wovenClass)`
Weaving hook method.